TimeSeriesChunkSet
Date: 2013-11-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.treeStructure.chunks
Class TimeSeriesChunkSet

    java.lang.Object
      org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.treeStructure.chunks.ChunkSet
          org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.treeStructure.chunks.TimeSeriesChunkSet

    public class TimeSeriesChunkSet

extends ChunkSet

Constructor Summary
`TimeSeriesChunkSet(int MaxNumberOfChunks, int ChunkSize, java.lang.String TimeSeriesName, java.lang.String TimeSeriesColumn, LexicalEngineConfiguration config, Engine engine)`

Method Summary
`TimeSeriesChunk` | `nextChunk()`

Methods inherited from class org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.treeStructure.chunks.ChunkSet
`generateChunkSet, getChunkSize, getNumberOfEntries, getSeriesColumn, getSeriesName, setChunkSize, setNumberOfEntries, setSeriesColumn, setSeriesName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeSeriesChunkSet

    public TimeSeriesChunkSet(int MaxNumberOfChunks,
                              int ChunkSize,
                              java.lang.String TimeSeriesName,
                              java.lang.String TimeSeriesColumn,
                              LexicalEngineConfiguration config,
                              Engine engine)
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### nextChunk

    public TimeSeriesChunk nextChunk()

  Specified by:
    `nextChunk` in class `ChunkSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD